<?php
/**
 * UserChildDat Entity
 * $Id: UserChildDat.inc,v 1.1 2020/4/22 10:21:30 Exp $
 * @author zb
 * @package jp.compass.entity
 * @access public
 */
class UserChildDat extends CompassDynamicData
{
	var $user_id;
	var $name;
	var $child_age;
	var $school_no;
	var $class_no;
	var $original_source;
	var $ability_point;
	var $service_point;
	var $delete_flg;

	/**
	 * 构造实现。user_child_dat创建实例。
	 * 
	 * @access public
	 * @param mixed user_child_dat
	 */
	function constructor($record)
	{
		parent::constructor($record);

		$this->user_id         = $record["user_id"];
		$this->name            = $record["name"];
		$this->child_age       = $record["child_age"];
		$this->school_no       = $record["school_no"];
		$this->class_no        = $record["class_no"];
		$this->original_source = $record["original_source"];
		$this->ability_point   = $record["ability_point"];
		$this->service_point   = $record["service_point"];
		$this->delete_flg      = $record["delete_flg"];
	}

	/**
	 * 根据条件,获取数据列表。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getList($w_param = null, $orderkey = null, $direction = "ASC", $offset = null, $limit = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}

		return CompassDBHandler::getList("UserChildDat", "user_child_dat", $w_param, $orderkey, $direction, $offset, $limit);
	}

	/**
	 * 根据条件，获取数据列表的件数。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getListCount($w_param = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}
		$db = CompassDBManager::getInstance();
		$result = $db->doSelect("user_child_dat", $w_param, null, null, null, null, "count(*) as count");

		return $result[0]["count"];
	}

	/**
	 * 获得此类指定ID的实例。
	 */
	public static function getById($id)
	{
		// delete_flg
		$param = array();
		$param["delete_flg"] = false;

		return CompassDBHandler::getById("UserChildDat", "user_child_dat", $id, $param);
	}

	// -- 这里开始Dynamic ---
	/**
	 * 将此实例写入DB。
	 * DynamicData共用的保存方法。
	 * @access public
	 * @return int 写入实例的ID
	 */
	public function save()
	{
		$v_param = array();

		ParamUtil::copyObj2Array($v_param, $this, "user_id");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "name");
		ParamUtil::copyObj2Array($v_param, $this, "child_age");
		ParamUtil::copyObj2Array($v_param, $this, "school_no");
		ParamUtil::copyObj2Array($v_param, $this, "class_no");
		ParamUtil::copyObj2Array($v_param, $this, "original_source");
		ParamUtil::copyObj2Array($v_param, $this, "ability_point");
		ParamUtil::copyObj2Array($v_param, $this, "service_point");
		ParamUtil::copyObj2Array($v_param, $this, "delete_flg");

		// 保存
		parent::_save("user_child_dat", $v_param);
	}
}